StructureIterator
Date: 2019-10-22

org.jmol.adapter.smarter

## Class StructureIterator

- java.lang.Object
- - org.jmol.api.JmolAdapterStructureIterator
  - - org.jmol.adapter.smarter.StructureIterator

-     public class StructureIterator
      extends JmolAdapterStructureIterator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javajs.util.BS` | `bsModelsDefined`
    `private int` | `istructure`
    `private Structure` | `structure`
    `private int` | `structureCount`
    `private Structure[]` | `structures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureIterator(AtomSetCollection asc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getAtomIndices()`
    `javajs.util.BS[]` | `getBSAll()`
    `int` | `getEndChainID()`
    `char` | `getEndInsertionCode()`
    `int` | `getEndSequenceNumber()`
    `int[]` | `getModelIndices()`
    `int` | `getSerialID()`
    `int` | `getStartChainID()`
    `char` | `getStartInsertionCode()`
    `int` | `getStartSequenceNumber()`
    `int` | `getStrandCount()`
    `javajs.util.BS` | `getStructuredModels()`
    `java.lang.String` | `getStructureID()`
    `STR` | `getStructureType()`
    `STR` | `getSubstructureType()`
    `boolean` | `hasNext()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### structureCount

          private int structureCount

    - #### structures

          private Structure[] structures

    - #### structure

          private Structure structure

    - #### istructure

          private int istructure

    - #### bsModelsDefined

          private javajs.util.BS bsModelsDefined

  - ### Constructor Detail

    - #### StructureIterator

          StructureIterator(AtomSetCollection asc)

      Parameters:
        `asc` -

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in class `JmolAdapterStructureIterator`

    - #### getStructureType

          public STR getStructureType()

      Specified by:
        `getStructureType` in class `JmolAdapterStructureIterator`

    - #### getSubstructureType

          public STR getSubstructureType()

      Specified by:
        `getSubstructureType` in class `JmolAdapterStructureIterator`

    - #### getStructureID

          public java.lang.String getStructureID()

      Specified by:
        `getStructureID` in class `JmolAdapterStructureIterator`

    - #### getSerialID

          public int getSerialID()

      Specified by:
        `getSerialID` in class `JmolAdapterStructureIterator`

    - #### getStartChainID

          public int getStartChainID()

      Specified by:
        `getStartChainID` in class `JmolAdapterStructureIterator`

    - #### getStartSequenceNumber

          public int getStartSequenceNumber()

      Specified by:
        `getStartSequenceNumber` in class `JmolAdapterStructureIterator`

    - #### getStartInsertionCode

          public char getStartInsertionCode()

      Specified by:
        `getStartInsertionCode` in class `JmolAdapterStructureIterator`

    - #### getEndChainID

          public int getEndChainID()

      Specified by:
        `getEndChainID` in class `JmolAdapterStructureIterator`

    - #### getEndSequenceNumber

          public int getEndSequenceNumber()

      Specified by:
        `getEndSequenceNumber` in class `JmolAdapterStructureIterator`

    - #### getEndInsertionCode

          public char getEndInsertionCode()

      Specified by:
        `getEndInsertionCode` in class `JmolAdapterStructureIterator`

    - #### getStrandCount

          public int getStrandCount()

      Specified by:
        `getStrandCount` in class `JmolAdapterStructureIterator`

    - #### getStructuredModels

          public javajs.util.BS getStructuredModels()

      Specified by:
        `getStructuredModels` in class `JmolAdapterStructureIterator`

    - #### getAtomIndices

          public int[] getAtomIndices()

      Specified by:
        `getAtomIndices` in class `JmolAdapterStructureIterator`

    - #### getModelIndices

          public int[] getModelIndices()

      Specified by:
        `getModelIndices` in class `JmolAdapterStructureIterator`

    - #### getBSAll

          public javajs.util.BS[] getBSAll()

      Specified by:
        `getBSAll` in class `JmolAdapterStructureIterator`